import { Theme } from '@primer/react/lib/ThemeProvider';
import { JupyterContextProps } from './JupyterContext';
import { ColorMode } from './lab/JupyterLabColorMode';
/**
 * Definition of the properties that can be passed
 * when creating a Jupyter context.
 */
export type JupyterProps = Omit<JupyterContextProps, 'serverUrls' | 'variant'> & {
    colorMode?: ColorMode;
    disableCssLoading?: boolean;
    jupyterServerHttpUrl?: string;
    jupyterServerWsUrl?: string;
    jupyterToken?: string;
    theme?: Theme;
    terminals?: boolean;
};
/**
 * The Jupyter context. This handles the needed initialization
 * and ensure the Redux and the Material UI theme providers
 * are available.
 */
export declare const Jupyter: (props: JupyterProps) => import("react/jsx-runtime").JSX.Element;
export default Jupyter;
